> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Component Group



## OpenAPI

````yaml PATCH /api/v1/status-pages/{statusPageId}/component-groups/{groupId}/move
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/component-groups/{groupId}/move:
    patch:
      tags:
        - status-pages
      summary: Move a component group to a new parent
      operationId: ManagementComponentGroupController_move_v1
      parameters:
        - name: groupId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoveComponentGroupDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    MoveComponentGroupDto:
      type: object
      properties:
        newParentId:
          type: string
        sourceSiblingOrder:
          type: array
          items:
            type: string
        destinationSiblingOrder:
          type: array
          items:
            type: string
      required:
        - sourceSiblingOrder
        - destinationSiblingOrder
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````